Bug 996784 - virt-viewer intermittently fails to enable 2nd display
virt-viewer intermittently fails to enable 2nd display
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: 3.4.0
Assigned To: Marc-Andre Lureau
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 19:39 EDT by Bryan Yount
Modified: 2014-06-02 08:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 08:54:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdagent log from a recent occurrence (602.62 KB, text/x-log)
2013-08-13 19:39 EDT, Bryan Yount
no flags Details
vdagent log from a guest on RHEV 3.2.2 (483.62 KB, text/x-log)
2013-10-16 20:22 EDT, Bryan Yount
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 452283 None None None Never

  None (edit)
Description Bryan Yount 2013-08-13 19:39:16 EDT
Created attachment 786350 [details]
vdagent log from a recent occurrence

Description of problem:
Intermittently, with the latest version of virt-viewer (0.5.3-28) connecting to a RHEV 3.1.5 environment with guest tools 3.1-12 installed, the 2nd display in virt-viewer occasionally fails to auto-enable itself.

Version-Release number of selected component (if applicable):
virt-viewer-0.5.3-28
spice-server-0.12.0-12.el6_4.2.x86_64
vdsm-4.10.2-23.0.el6ev.x86_64
rhevm-3.1.0-55

How reproducible:
Intermittent

Steps to Reproduce:
1. Connect to Spice console from User Portal from a client with 2 displays

Actual results:
2nd display is not activated

Expected results:
2nd display should auto-enable and auto-resolution-sense
Comment 1 Bryan Yount 2013-08-13 19:45:35 EDT
The customer also reported that they've only seen this issue on WindowsXP clients so far...
Comment 6 Christophe Fergeau 2013-10-15 04:58:28 EDT
Do you know what vdagent version is being used? This is similar to https://bugzilla.redhat.com/show_bug.cgi?id=922394 which was fixed in vdagent-win-0.1-17.
Your log has
2624::INFO::2013-07-23 18:34:02,361::DesktopLayout::init_dev_mode::failed to create DC
and upstream/newer agent builds have had some fixes related to this, so the version of the agent that is running would be helpful to know if this may already have been fixed or not.
Comment 7 Bryan Yount 2013-10-15 17:59:03 EDT
(In reply to Christophe Fergeau from comment #6)
> Do you know what vdagent version is being used? This is similar to
> https://bugzilla.redhat.com/show_bug.cgi?id=922394 which was fixed in
> vdagent-win-0.1-17.
> Your log has
> 2624::INFO::2013-07-23 18:34:02,361::DesktopLayout::init_dev_mode::failed to
> create DC
> and upstream/newer agent builds have had some fixes related to this, so the
> version of the agent that is running would be helpful to know if this may
> already have been fixed or not.

I just spoke to the customer about this and back when they originally reported this, they were running RHEV Tools 3.1-9 on RHEV 3.1.3. However, they have since upgraded to RHEV 3.2 with RHEV Tools 3.2-14 and I asked the customer to try to reproduce this again and give us fresh logs.

He did mention that separate from the ^ above, he had configured a VM template with 2 monitors before he sysprep sealed it (as I instructed him previously) and THAT persistent VM he has to enable the 2nd monitor all the time. These could be 2 separate issues, so the data he's going to provide me tomorrow will be for what the BZ was originally opened for.
Comment 8 Bryan Yount 2013-10-16 20:22:20 EDT
Created attachment 813146 [details]
vdagent log from a guest on RHEV 3.2.2

Christophe, the version of vdagent being used is the version shipped with RHEV Tools 3.2-12 which should be 4.9.4 according to the .exe properties/details tab. Attaching the latest vdagent.log to the BZ which occurred on RHEV 3.2.2 with RHEV Tools 3.2-12:

2536::INFO::2013-10-16 10:52:36,861::VDAgent::handle_mon_config::0. 960*640*32 (0,0) 1
2536::INFO::2013-10-16 10:52:36,861::VDAgent::handle_mon_config::1. 400*379*32 (960,0) 1
2536::INFO::2013-10-16 10:52:36,861::DesktopLayout::consistent_displays::#qxls 2 #others 0
2536::INFO::2013-10-16 10:52:36,876::DesktopLayout::set_displays::Set display mode 960x640
2536::INFO::2013-10-16 10:52:36,876::DesktopLayout::init_dev_mode::failed to create DC
2536::INFO::2013-10-16 10:52:36,876::DesktopLayout::set_displays::No suitable mode found for display \\.\DISPLAY3
2536::INFO::2013-10-16 10:52:37,533::VDAgent::wnd_proc::Display change
2536::INFO::2013-10-16 10:52:37,533::DesktopLayout::consistent_displays::#qxls 2 #others 0
Comment 9 Christophe Fergeau 2013-10-17 05:56:41 EDT
RHEV Tools 3.2-12 seems to correspond to vdagent-win-0.1-18  (according to https://brewweb.devel.redhat.com/buildinfo?buildID=282603 )
Comment 10 Marc-Andre Lureau 2013-11-07 08:19:59 EST
What's the status with last vdagent and mingw-virt-viewer candidates for rhevm 3.3? Is this more like 10% or 50%? Is it tested over LAN or WAN?
Comment 12 David Blechter 2013-12-08 15:45:06 EST
Unfortunately, no reply on needinfo for a month! Pushing to 3.4 as no blocker flag proposed and we are at RC phase.
Comment 14 Marc-Andre Lureau 2014-06-02 08:54:17 EDT
closing, by lack of info

Note You need to log in before you can comment on or make changes to this bug.